Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gle
Version:	3.1.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://linas.org/gle/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	GLE Tubing and Extrusion drawing Library.
Requires:	freeglut
BuildRequires:	freeglut-devel

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids. Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.
A local coordinate system allows for additional flexibility in the
primitives drawn. Extrusions may be texture mapped in a variety of ways.
The GLE library generates 3D triangle coordinates, lighting normal
vectors and texture coordinates as output.
GLE uses the GL or OpenGL API's to perform the actual rendering.
For more details see: http://linas.org/gle/

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--includedir=%_prefix/X11R6/include \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.3.1.0
%_datadir

%files devel
%defattr(-,root,root)
%_prefix/X11R6/include
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.3

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 3.1.0-1
- update to Version 3.1.0
